Subject: [rohc] SigComp interoperability testing?

From: "Lars-Erik Jonsson (LU/EAB)" <[email-masked]>
Date: Wed, 17 Aug 2005 13:18:19 +0200

SigComp'ers,

RFC 3320 has been out for some years now, and it is clear that
there exist several implementations out there. We have further
noticed that there is interest in advancing RFC 3320 to Draft
Standard status. However, we currently have no official
knowledge of RFC 3320 interoperability status, which is
something we need before we can advance 3320 to DS.

So far, the only known interoperability testing of SigComp
was performed at SIPit 12 in February 2003, but only few
implementations were present, and not all features were
tested. Further, and most important for the advancement 
process, no interoperability statement was, to our knowledge,
produced at this event.

Would You be interested in taking part in further SigComp
interoperability testing, please respond to this mail. Also,
if You have ideas for how such tests could/should be carried
out, share your thoughts. If a dedicated SigComp test event
would be the desired choice, a host would of course also be
needed.

BR
/L-E

--------------------------------------
Lars-Erik Jonsson
IETF ROHC WG Chair
E-mail: [email-masked]
Phone: +46 8 404 29 61

My opinions are my personal opinions and should not be considered
as the opinions of my employer, if not explicitly stated.  

_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: Pekka Pessi <[email-masked]>
Date: Fri, 19 Aug 2005 12:09:12 +0300

>would be the desired choice, a host would of course also be

We will bring our SigComp implementation to Stockholm SIPit next
September (see http://sipit17.hotsip.com). Unfortunately we do not
have any fancy features to show, except that we can interoperate
with a node doing shared compression. 

The registration to Stockholm SIPit is closed, but perhaps the
host will accept late registrations. Or could someone from
Ericsson organize a shadow event in a nearby bar? ;-)

--Pekka

---

From: Mark West <[email-masked]>
Date: Fri, 19 Aug 2005 09:45:45 +0000 (GMT)

I think that one important thing that it would useful to understand is
what 'SigComp interoperability testing' actually means!

First of all, there seem to be two, separate issues:
(i) interoperability of SigComp; and
(ii) interoperability of SIP/SigComp

(the latter addresses the negotiations of RFC 3486 and compartment
mappings [for which there isn't an IETF spec!].  As an aside, we [Roke]
don't have a SigComp + SIP implementation, so are not in a position to
take part in such testing.)

So, I'm focussing on 'pure' SigComp interoperability...

Now, Lars-Erik's original mail said that, "not all features were tested."
My question (and it's not a trick question -- I'm not sure about the
answer either!) is: what are the features?  And how should they be tested?

We *did* test:
- that implementations can decompress messages sent by
other implementations; as a consequence of which we tested:
- a subset of UDVM instructions;
- the ability to store state;
- the ability to retrieve state (including RFC 3485 state); and
- the SigComp advertisement mechanism.

Actually, so far as a protocol goes, SigComp is pretty simple.  I don't
believe that any interop test can guarantee to exercise all UDVM
instructions (in 'real world' usage), and I'm unconvinced what that would
mean in practice, anyway!  So what's left?

Even shared-mode (which is not part of the standard!) is just a specific
use of a bunch of features which, IIRC, we *did* test (state storage and
state advertisement).

The lack of an interoperability statement from the previous test was
definitely a serious oversight.  We, at least, have an (internal) report
written at the time, so could refresh people's memory on what we tested,
if that would be helpful!

Looking forward to your thoughts on this!

Cheers,

Mark.

---

From: Cristian CONSTANTIN <[email-masked]>
Date: Sat, 20 Aug 2005 01:44:03 +0200

> with a node doing shared compression. 

cristian: tried to access http://sipit17.hotsip.com but it keeps spitting 
back some "Microsoft OLE DB" errors; could you please tell me if there is any
plan concerning the sip/sigcomp tests? like what is going to be tested?

thanks!
bye now!
cristian
-- 
 _          | There are many people who use UNIX or Linux  
(_'_        | who IMHO do not understand UNIX.
  (_'rist   |              --David Korn  
GPG public key at wwwkeys.de.pgp.net
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc